Subject: Re: Implementation Survey for LCP MIB (RFC 1471)

From: Karl Fox <[email-masked]>
Date: Tue, 08 Oct 2002 09:12:50 -0400

Second request--please complete this survey; I have two responses, but I 
don't yet have a complete enough mapping of the features to advance the RFC.

Thanks,

Karl

At 09:24 PM 9/12/02 -0400, Karl Fox wrote:
>Thanks to Mike MacFaden <[email-masked]> for developing this survey, 
>and my apologies to him for letting it sit on the shelf for so long.
>
>Thanks also to Bernard Aboba <[email-masked]> from whom I lifted most 
>of the introductory text.
>
>                        LCP MIB Implementation Survey
>
>Please fill this out and return it to [email-masked] by October 27, 
>2002.
>
>For the LCP MIB (RFC 1471) to advance to Draft Standard, every feature must 
>have at least two independent implementations, or must be cut from the 
>draft.  Please read these directions carefully and email your answers to me 
>directly, not to the list.
>
>I only need a reply to this if your implementation is INDEPENDENT, that is, 
>not based on another implementation. If you started out once upon a time 
>with another code base and eventually replaced all the code with fresh code, 
>that counts as independent.  If you did your implementation from scratch, 
>better yet.
>
>Please provide contact information and fill out the Company, Product and 
>Version fields following their colons, and mark the features with a Y or N 
>*before* the feature, and keep the spelling and order exactly as they are 
>here (so I can automate processing the results). Lines starting with __ and 
>blank lines should not be marked.  Lines starting with a # take a numeric or 
>other non-binary response; if you have a number to respond with, put your 
>number before the # sign.
>
>Y means you support that feature in your implementation NOW, N means you do 
>not.  No fair saying that you'll be adding it later; it has to be in your 
>implementation that's already done and is being used somewhere, although 
>beta or experimental software counts as in use, as long as its actually 
>running.
>
>If you make different kinds of devices but they use the same LCP MIB 
>implementation, you only need to send me an entry for one.
>
>Thank you,
>
>Karl Fox <[email-masked]>
>PPPEXT Working Group Chair
>
>----------------------------------------
>
>__                        LCP MIB Implementation Survey
>
>Contact name:
>Contact email address:
>Contact phone number:
>Company name:
>Product Name:
>Product Version:
>
>__ Tables Supported
>pppLinkStatusTable supported
>pppLinkConfigTable supported read-write
>pppLinkConfigTable supported, but read-only
>pppLqrTable supported
>pppLqrConfigTable supported read-write
>pppLqrConfigTable supported, but read-only
>pppLqrExtnsTable supported
>
>__ IF-MIB Table behavior
>For any PPP rows created in the PPP-LCP-MIB do you populate the ifTable 
>__ with ifEntries of ifType ppp(23)?
>
># If you answered N to the previous question, what does your agent return to 
>__ a get of pppLinkStatusPhysicalIndex?

---

From: Karl Fox <[email-masked]>
Date: Tue, 29 Oct 2002 11:48:49 -0500

Third request for LCP MIB implementation experience.  I need one more 
implementation that supports the LQR MIB variables.

Thanks,

Karl